   disp('plot strain rate')
   hold on
   Hstrain(it)=gca;
   for ie=1:nem
      fill([xn(ie,1,it),xn(ie,2,it),xn(ie,3,it),xn(ie,4,it),xn(ie,1,it),],...
         [yn(ie,1,it),yn(ie,2,it),yn(ie,3,it),yn(ie,4,it),yn(ie,1,it),],...
         log10(str(ie,it)),'edgecolor','none')
   end
   plot([xn(1,1,it);xn([1:ny],4,it);xn(ny*[1:nx],3,it);xn(nx*ny-[0:ny-1],2,it)],...
      [yn(1,1,it);yn([1:ny],4,it);yn(ny*[1:nx],3,it);yn(nx*ny-[0:ny-1],2,it)],...
      'k','linewidth',2)
   title(sprintf('log_{10}(strain rate), time step %i, t=%g',it,t(it)))
   axis equal
   axis tight
   set(Hstrain(it),'ydir','reverse')%,'Clim',[0,10])
   Hcstrain(it)=colorbar;
