% strain_movie.m
% Laurent Montesi, 5-13-2001
% 
% make movie of strain frames
%

%Graph defaults
Colord=[1,0,0;0,0,1;0,1,0;...
      1,0,1;0,1,1;1,1,0;...
      1,0,0.5;0,0.5,1;0.5,1,0;...
      1,0.5,0;0.5,0,1;0,1,0.5;...
      0.75,0.25,0.5;0.25,0.5,0.75;0.5,0.75,0.25;...
      0.75,0.5,0.25;0.5,0.25,0.75;0.25,0.75,0.5];
ncol=size(Colord,1);
set (0,'DefaultAxesColor','none',...
   'DefaultAxesLineWidth',1,...
   'DefaultAxesFontSize',12,...
   'DefaultAxesBox','off',...
   'DefaultPatchLineWidth',0.25,...
   'DefaultAxesColorOrder',...
   Colord);

colormap gray
G=colormap*0.8+0.1;
colormap(G);

disp('Minimum and maximum strain rate at each saved step:');
for it=1:max(size(t));
   disp(sprintf('%5i %12g %12g %12g',it,t(it),min(str(:,it)),max(str(:,it))));%, t(it),min(str(:,it));max(str(:,it))));
end

tplot=input ('saved steps to include in movie');
ntp=max(size(tplot));
figmin=input ('Working figure number');
figure(figmin);
colormap(G);
clear M
for itp=1:ntp;
   %for it=1:size(t,2);
   %figure (20+it)
   it=tplot(itp);
   disp(sprintf('frame %i of %i: Working on time step %i, t=%g',itp,ntp,it,t(it)));
   clf
   %orient landscape
   %colormap(G);
   strain_plot
   M(itp)=getframe;
   
end
